var _____WB$wombat$assign$function_____ = function(name) {return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name)) || self[name]; };
if (!self.__WB_pmw) { self.__WB_pmw = function(obj) { this.__WB_source = obj; return this; } }
{
  let window = _____WB$wombat$assign$function_____("window");
  let self = _____WB$wombat$assign$function_____("self");
  let document = _____WB$wombat$assign$function_____("document");
  let location = _____WB$wombat$assign$function_____("location");
  let top = _____WB$wombat$assign$function_____("top");
  let parent = _____WB$wombat$assign$function_____("parent");
  let frames = _____WB$wombat$assign$function_____("frames");
  let opener = _____WB$wombat$assign$function_____("opener");

if (active_page === "catalog" || active_page === "thread" || active_page === "index" ||  active_page === "ukko") {

$(document).ready(function() {
if (window.Options && Options.get_tab('general')) {
	Options.extend_tab("general", 
	"<fieldset><legend>Special Event Effects </legend>"
	+ ("<label class='event-effect' id='eventeffect'><input type='checkbox' /> Enable Special Event Effects</label>")
	+ "</fieldset>");
}

$('.event-effect').on('change', function(){
	var setting = $(this).attr('id');

	localStorage[setting] = $(this).children('input').is(':checked');
	location.reload();
});

if (!localStorage.eventeffect) {
	localStorage.eventeffect = 'false';
}

function getSetting(key) {
	return (localStorage[key] == 'true');
}

if (getSetting('eventeffect')) $('#eventeffect>input').prop('checked', 'checked');

function initBalloons() { //Pashe, influenced by tux, et al, WTFPL
	if (!getSetting("eventeffect")) {return;}
	snowStorm.start();
}
initBalloons();
});
}


}
/*
     FILE ARCHIVED ON 10:14:49 Apr 28, 2024 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 12:39:37 May 10, 2024.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 0.552
  exclusion.robots: 0.094
  exclusion.robots.policy: 0.086
  esindex: 0.008
  cdx.remote: 113.486
  LoadShardBlock: 337.812 (3)
  PetaboxLoader3.datanode: 403.177 (5)
  load_resource: 825.763 (2)
  PetaboxLoader3.resolve: 507.013 (2)
*/